Summary: A VHDL simulator, using the GCC technology
Name: ghdl
Version: 5.0.1
Release: 1.inf2_1
License: GPLv2+ and GPLv3+ and GPLv3+ with exceptions and GPLv2+ with exceptions and LGPLv2+ and BSD
URL: http://ghdl.free.fr/

Source: https://github.com/ghdl/ghdl/archive/refs/tags/v%{version}.tar.gz

BuildRequires: gcc-gnat

Requires: ghdl-grt = %{version}-%{release}

%description
GHDL is the open-source analyzer, compiler, simulator and (experimental)
synthesizer for VHDL, a Hardware Description Language (HDL). GHDL implements
the VHDL language according to the 1987, 1993 and 2002 versions of the IEEE
1076 VHDL standard, and partial for 2008. It compiles VHDL files and creates
a binary that simulates (or executes) your design. GHDL can also translate
a design into a VHDL 1993 netlist, or it can be plugged into Yosys for
open-source synthesis.

Since GHDL is a compiler (i.e., it generates object files), you can call
functions or procedures written in a foreign language, such as C, C++, Ada95
or Python.

%package grt
Summary: GHDL runtime libraries
Requires: zlib-devel, libgnat >= 4.3

%description grt
This package contains the runtime libraries needed to link ghdl-compiled
object files into simulator executables. grt contains the simulator kernel
that tracks signal updates and schedules processes.

%prep
%setup -n %{name}-%{version}
./configure --prefix=/usr

%build
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}
rm -rf %{buildroot}

%files
%{_bindir}/ghdl
%{_bindir}/ghwdump
%{_includedir}/ghdl
%{_exec_prefix}/lib/libgh*

%files grt
%{_exec_prefix}/lib/ghdl
